Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class NamedPipeSocketFactory.NamedPipeSocket

    java.lang.Object
      java.net.Socket
          com.mysql.jdbc.NamedPipeSocketFactory.NamedPipeSocket

Enclosing class:
  NamedPipeSocketFactory

     class NamedPipeSocketFactory.NamedPipeSocket

extends java.net.Socket

A socket that encapsulates named pipes on Windows

Constructor Summary
`NamedPipeSocketFactory.NamedPipeSocket(java.lang.String filePath)`

Method Summary
`void` | `close()`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`
`boolean` | `isClosed()`

Methods inherited from class java.net.Socket
`bind, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedPipeSocketFactory.NamedPipeSocket

    NamedPipeSocketFactory.NamedPipeSocket(java.lang.String filePath)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.net.Socket`
  Throws:
    `java.io.IOException`
  See Also:
    `Socket.close()`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.Socket`
  Throws:
    `java.io.IOException`
  See Also:
    `Socket.getInputStream()`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    `getOutputStream` in class `java.net.Socket`
  Throws:
    `java.io.IOException`
  See Also:
    `Socket.getOutputStream()`

### isClosed

    public boolean isClosed()

  Overrides:
    `isClosed` in class `java.net.Socket`
  See Also:
    `Socket.isClosed()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD